# Class GetInventoryRequest

#### Hierarchy

- unknown
  - GetInventoryRequest

- Defined in src/protobuf/pb_pb.d.ts:575
- Defined in src/protobuf/pb_pb.d.ts:587

#####
Index

### Constructors

constructor

### Methods

getVersion
serializeBinary
setVersion
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetInventoryRequest(): GetInventoryRequest

- #### Returns GetInventoryRequest

  Inherited from jspb.Message.constructor

## Methods

### getVersion

- getVersion(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:576

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:579

### setVersion

- setVersion(value: string): GetInventoryRequest

- #### Parameters

  - ##### value: string

  #### Returns GetInventoryRequest

  - Defined in src/protobuf/pb_pb.d.ts:577

### toObject

- toObject(includeInstance?: boolean): GetInventoryRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetInventoryRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:580

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetInventoryRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetInventoryRequest

  - Defined in src/protobuf/pb_pb.d.ts:583

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetInventoryRequest, reader: BinaryReader): GetInventoryRequest

- #### Parameters

  - ##### message: GetInventoryRequest

  - ##### reader: BinaryReader

  #### Returns GetInventoryRequest

  - Defined in src/protobuf/pb_pb.d.ts:584

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetInventoryRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetInventoryRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:582

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetInventoryRequest): GetInventoryRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetInventoryRequest

  #### Returns GetInventoryRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:581

Generated using TypeDoc